Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231726 (CVE-2006-7162) - CVE-2006-7162: putty <= 0.59 file permissions issues
Summary: CVE-2006-7162: putty <= 0.59 file permissions issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2006-7162
Product: Fedora
Classification: Fedora
Component: putty
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jima
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 21:28 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.59-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-11 00:49:34 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-03-10 21:28:58 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-7162

"PuTTY 0.59 and earlier uses weak file permissions for (1) ppk files containing
private keys generated by puttygen and (2) session logs created by putty, which
allows local users to gain sensitive information by reading these files."

FE5+ seemingly affected.

Comment 1 Jima 2007-03-11 00:49:34 UTC
As I stated via email, the NVD bug report is actually incorrect (I'd tell them
if I could find a good contact address); the bug only applies to putty < 0.59. 
I've updated putty in FE5 and FE6 to 0.59-1, which takes care of the issue.

Thanks for the heads-up!


Note You need to log in before you can comment on or make changes to this bug.